<?PHP
    /*
    Nombre: config.inc.php
    Autor: Julio Tuozzo
    Funcin: Plantilla de variables de conexin con la base de datos.
    Function: Group of variables of database conection.
    Ver: 2.12
*/
    $Host = 'the_host_name'; // Nombre del servidor de la base de datos MySQL.
                             // Name of the MySQL data base server.

    $Usuario = 'the_user'; // usuario con que PHD Help Desk se conectar a la base de datos.
                           // user whereupon PHD Help Desk will connect to the MySQL data base.
                           
    $Contrasena = 'the_password'; // contrasea del usuario.
                                  // User's password.

    $Base = 'the_database'; // nombre de la base de datos.
                    	         // data base name.

    $Include = './include/'; /* Ruta donde se encuentran los archivos que se llaman en require() / include ()
                                IMPORTANTE: Si quiere utilizar la ruta configurada en la variable "include_path" de php.ini
                                deje esta variable en blanco   
                              Path of the files called by  require() / include ()
                               WARNING: If you wish to use the path of the "include_path" variable, placed in php.ini file, leave
                               empty this variable*/
                              
                        
    $MyPHD = '';  // Prefijo de los nombres de las tablas en esta instalacin
                        // Tables name prefix in this installation.
                  
# Variables de conexin con el servidor de correo.
// E-mail server conection variables
    $Mail_host = 'your.mail.server.com';
    $Mail_usuario = 'your_e_mail_user@mail.com';
    $Mail_clave = 'mail_pass';
    $Mail_port = 25;

    # Variables de instalacin
    // Installation variables.

    $PHD_Ins='NO';
    $VPHD='2.12';
?>
